<template>
<span>{{ dateRender }}</span>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
import moment from 'moment'

@Component
export default class DateFormatComponent extends Vue {
  @Prop({ type: Date})  date!: Date;
  @Prop({ type: String})  type!: String;

  private dateRender: String;

  created(){
    switch(this.type) {
      case 'BASIC': {
        this.dateRender = this.basic(this.date)
        break;
      }
      default: {
        this.dateRender = this.basic(this.date)
        break;
      }
    }
  }

  basic(date){
    return moment(String(date)).format('MM/DD/YYYY hh:mm')
  }
}
</script>

<style scoped>

</style>
